@import url('https://fonts.googleapis.com/css2?family=Jost&family=Roboto&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Jost', sans-serif;
    font-family: 'Roboto', sans-serif;
}

/* NAVBAR */

nav {
    width: 100%;
}

.container {
    max-width: 1424px;
    margin: auto;
    padding: 0 3%;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 0;
}

.site-logo-img {
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.site-logo-img:hover {
    transform: translateX(30px)
}

ul {
    display: flex;
    list-style-type: none;
}

a {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    letter-spacing: 1.575px;
    text-transform: uppercase;
    color: #56593D;
    margin: 0 18px;
    text-decoration: none;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.nav-icons {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav-icons i {
    font-size: 25px;
    margin: 0 20px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.nav-icons i:hover {
    color: #46ee1c;
}

a:hover {
    color: #46ee1c;
}

.shop-active {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    display: none;
}

.active {
    display: block;
}

/* HERO PART */

.top-hero-part {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    flex-direction: column;
    padding-right: 40px;
    height: 700px;
    background: url("img/hero-img.png") no-repeat center/cover;
}

.top-hero-text {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    text-align: right;
    letter-spacing: 1.8px;
    color: #56593D;
    margin-top: 500px;
}

.top-hero-header {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 45px;
    color: #56593D;
    margin-top: 10px;
}

.top-hero-btn {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    text-align: center;
    letter-spacing: 1.575px;
    text-transform: uppercase;
    color: #FFFFEF;
    background: #56593D;
    padding: 17px 25px;
    border: 2px solid #56593D;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    margin-top: 25px;
    margin-bottom: 64px;
    border-radius: 10px;
}

.top-hero-btn:hover {
    background: transparent;
    color: #fff;
}

.hero-page-header {
    margin-top: 110px;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 57px;
    text-align: center;
    color: #56593D;
}

.hero-page-bottom-link {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    margin-top: 25px;
    margin-bottom: 50px;
}

.hero-page-btn-links {
    border-bottom: 2px solid #56593D;
}

/* PRODCUT-PART */

.product-part {
    padding: 70px 0;
    background: #FFFFEF;
}

.product-header {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    text-align: center;
    color: #56593D;
}

.product-card-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 30px;
    margin: 80px 0;
}

.product-cards {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.product-cards:hover {
    transform: translateY(-20px);
    border-radius: 20px;
}

.product-img {
    width: 100%;
}

.product-name {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    text-align: center;
    color: #56593D;
    margin-top: 15px;
}

.prodcut-price {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    text-align: center;
    letter-spacing: 1.62px;
    color: #717353;
    margin-top: 10px;
}

.product-bottom-part {
    height: 700px;
    background: url("img/product-bt-img.png") no-repeat center/cover;
    padding: 50px 20px;
}

.product-bottom-part-text {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 17px;
    text-align: center;
    letter-spacing: 1.8px;
    color: #56593D;
}

.product-bottom-part-header {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 50px;
    text-align: center;
    color: #56593D;
    margin-top: 11px;
}

/* MENU_PART */

.menu-card-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 2px;
    background: #FFFFEF;
    margin: 80px 0;
}

.menu-cards {
    height: auto;
    padding: 20px 0;
}

.middle-texts {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.menu-infos-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 100px;
}

.menu-name {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 29px;
    text-align: center;
    color: #56593D;
}

hr {
    width: 40px;
    color: #717353;
    margin: 33px 0;
}

.menu-text {
    font-family: 'Jost';
    font-style: normal;
    font-weight: normal;
    font-size: 20px;
    text-align: center;
    color: #56593D;
}

.menu-images {
    width: 100%;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.menu-images:hover {
    transform: scale(0.9);
}

/* SIGN-IN-PART */

.sign-up-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: auto;
    background: #FFFFEF;
    padding: 15px 0;
}

.sign-up-header {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 28px;
    text-align: center;
    color: #56593D;
}

.sign-up-text {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 17px;
    text-align: center;
    color: #56593D;
    margin-top: 16px;
}

.subs-list {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.sub-line {
    width: 80%;
    color: #717353;
    margin-top: 70px;
}

.sub-btn {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 15px;
    text-align: center;
    letter-spacing: 1.6px;
    text-transform: uppercase;
    color: #FFFFEF;
    margin-left: 5px;
    background: #56593D;
    border: 2px solid #56593D;
    padding: 10px 15px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    border-radius: 5px;
}

.sub-btn:hover {
    color: #000;
    background: #FFFFEF;
}

/* PHOTO-PART */

.photos {
    background: #FFFFEF;
    height: auto;
    padding: 20px 0;
    margin: 80px 0;
}

.photo-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 8px;
}

.photo-header {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 25px;
    text-align: center;
    color: #56593D;
    margin-bottom: 40px;
}

.photo-cards img {
    width: 100%;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.photo-cards img:hover {
    transform: translateY(30px);
}


/* FOOTER */

footer {
    height: auto;
    padding: 20px 0;
    background: #717353;
}

.footer-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.footer-header {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 15px;
    color: #FFFFEF;
}

.footer-text {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    letter-spacing: 1.575px;
    text-transform: uppercase;
    color: #FFFFEF;
}

.links {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    letter-spacing: 1.575px;
    text-transform: uppercase;
    color: #FFFFEF;
    margin: 20px 0;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.links:hover {
    color: #46ee1c;
}

/* MEDIA QUERIES */

@media (max-width: 1025px) {
   .container {
       max-width: 1000px;
       margin: auto;
   } 

   .hero-page-header {
       font-size: 40px;
   }
}

@media (max-width:769px) {
    .container {
        max-width: 700px;
        margin: auto;
    }

    a {
        font-size: 13px;
        margin: 0 10px;
    }

    .nav-icons i{
        font-size: 15px;
    }

    .menu-card-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .footer-text {
        font-size: 15px;
    }
}

@media (max-width: 376px) {
    .container {
        max-width: 300px;
        margin: auto;
    }

    ul {
        display: none;
    }

    .top-hero-part {
        height: auto;
        padding: 50px 0;
    }

    .top-hero-part {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .top-hero-text {
        text-align: center;
        margin-top: 20px;
        color: #46ee1c;
    }

    .top-hero-header {
        text-align: center;
    }

    .hero-page-header {
        margin-top: 30px;
        font-size: 20px;
    }

    .product-card-container {
        grid-template-columns: repeat(1, 1fr);
    }
    
    .product-bottom-part {
        height: 400px;
    }

    .product-bottom-part-header {
        font-size: 20px;
    }

    .menu-infos-container {
        padding: 10px;
    }

    .subs-list {
        flex-direction: column;
    }

    .sub-line {
        display: none;
    }

    .sub-btn {
        margin-top: 20px;
    }

    .photo-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .footer-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .footer-cards {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .footer-text {
        line-height: 30px;
        font-size: 12px;
        text-align: center;
    }

    .links {
        text-align: center;
    }
}